Subject: Re: [RFC 3/3] zImage: Exception vector support

From: David Gibson <[email-masked]>
Date: Tue, 20 Feb 2007 13:25:38 +1100

On Sat, Feb 17, 2007 at 05:17:08PM -0800, Geoff Levand wrote:
> Add SMP exception vector support to the powerpc zImage bootwrapper.  For
> platforms which have entry points in the vector table.  This implements
> SMP entry via the system reset vector.

I really don't like having always-included code take over the absolute
start of the zImage's address space.  The whole idea in my entry
cleanup patch is that the platform code gets control of the "head.S"
area, so we can potentially support platforms with conflicting
hard-wired requirements for things at specific offsets.

I think this belongs in a ps3.o, which will define _zimage_start to be
identical to the reset vector.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson